package com.ruoyi.system.service.md;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.system.domain.md.NewmsgInbox;
import com.ruoyi.system.domain.md.NewmsgInboxExample;
import com.ruoyi.system.domain.md.query.QueryPage;
import com.ruoyi.system.domain.md.request.NewMsgQuery;
import com.ruoyi.system.domain.md.request.NewMsgSendData;
import com.ruoyi.system.domain.md.request.NewMsgUser;
import com.ruoyi.system.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * @author vidar
 * date 2024/6/6
 * description
 **/
public interface NewmsgInboxService extends BaseService<NewmsgInbox, NewmsgInboxExample> {
    int saveInBatch(NewMsgSendData sendData, NewMsgUser from, List<NewMsgUser> toList);
    IPage<Map<String, Object>> queryUnion(NewMsgQuery query, QueryPage page);
    NewmsgInbox getInboxDetail(String id);
    Map<String, Object> inboxToMap(NewmsgInbox inbox);
    boolean readInbox(NewMsgQuery query);
    int count(NewMsgQuery query);
}
